Skip to content
Dashboard
Theme
Theme

List portal links

GET /v1/portal/links: List portal links.

View Markdown

GET /v1/portal/links

API-created links of the environment, newest first. The link URL is never listed.

Scope
portal_links:read
Auth
Secret key (sk_…)
Since
1.0
  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • before string

  • organization string

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/portal/links" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"completion": {
"features": [
"sso"
],
"connection": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"directory": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "portal_setup_completion",
"completed_at": "2026-01-15T09:30:00Z"
},
"profile": "pprof_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"id": "plink_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "portal_link",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"intents": [
"sso"
],
"state": "pending",
"expires_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"opened_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}